# Renderd7-nightly: RenderD7::Lang Namespace Reference

RenderD7::Lang Namespace Reference

RenderD7::Lang. More...

## Functions

std::string | getSys ()
| Get the 3ds System Language.
std::string | get (const std::string &key)
void | load (const std::string &lang)

## Detailed Description

RenderD7::Lang.

## Function Documentation

## get()

std::string RenderD7::Lang::get | ( | const std::string & | key | ) |

Get a translated string key: The Key so the code can find your string

## load()

void RenderD7::Lang::load | ( | const std::string & | lang | ) |

Load the lang file from dir structure en/app.json for sample lang: the folder name en, fr, de ... . I prefer geSys()